Bug 1468275 - [RFE] Trigger a refresh when adding/editing/deleting anything in CFME Block Storage(EBS)
[RFE] Trigger a refresh when adding/editing/deleting anything in CFME Block S...
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Bronagh Sorota
Matouš Mojžíš
: FutureFeature, ZStream
Depends On: 1449235
  Show dependency treegraph
Reported: 2017-07-06 10:13 EDT by Satoe Imaishi
Modified: 2017-10-23 07:56 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
This release of Red Hat CloudForms includes an enhancement to event switchboard configuration for Amazon EBS volumes and snapshot events that triggers a storage manager refresh upon receiving the events. The following two CloudWatch event rules were configured on the AWS console to fire the EBS events using the CloudWatch service. The configuration parameters for each event are as follows: Service Name - EC2 Event Type - EBS Volume Notification Target - SNS Topic Topic - AWSConfig_topic and Service Name - EC2 Event Type - EBS Snapshot Notification Target - SNS Topic Topic - AWSConfig_topic See https://docs.aws.amazon.com/AmazonCloudWatch/latest/events/WhatIsCloudWatchEvents.html for more information on Amazon CloudWatch events.
Story Points: ---
Clone Of: 1449235
Last Closed: 2017-08-02 13:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core

Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-07-06 10:18:17 EDT
New commit detected on ManageIQ/manageiq-content/fine:

commit 9729ab5bd8861f93784348f84e26c5ec8b0214b0
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jul 3 14:40:41 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jul 6 10:14:41 2017 -0400

    Merge pull request #137 from bronaghs/aws_ebs_event_swithboard_support
    Event switchboard entries for Amazon EBS events.
    (cherry picked from commit df9c41a3de1bd0b3b6112db2339702218d228b11)

 .../System/Event/EmsEvent/Amazon.class/attachvolume.yaml     | 12 ++++++++++++
 .../System/Event/EmsEvent/Amazon.class/copysnapshot.yaml     | 12 ++++++++++++
 .../System/Event/EmsEvent/Amazon.class/createsnapshot.yaml   | 12 ++++++++++++
 .../System/Event/EmsEvent/Amazon.class/createvolume.yaml     | 12 ++++++++++++
 .../System/Event/EmsEvent/Amazon.class/deletesnapshot.yaml   | 12 ++++++++++++
 .../System/Event/EmsEvent/Amazon.class/deletevolume.yaml     | 12 ++++++++++++
 6 files changed, 72 insertions(+)
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/Amazon.class/attachvolume.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/Amazon.class/copysnapshot.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/Amazon.class/createsnapshot.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/Amazon.class/createvolume.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/Amazon.class/deletesnapshot.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/Amazon.class/deletevolume.yaml
Comment 3 Greg Blomquist 2017-07-07 10:00:21 EDT
https://github.com/ManageIQ/manageiq-content/pull/137 shows fine/backported.  Moving to POST.
Comment 4 Matouš Mojžíš 2017-07-19 07:45:16 EDT
I have some issues with verifying this BZ:
There are still events missing for Create volume and Detach volume.
Shall I create new BZ for that?
When I do something in AWS Console like adding a new snapshot or deleting a snapshot then refresh kicks off like in more than 30 minutes and that kick off can be triggered by something else.
Comment 8 Bronagh Sorota 2017-07-20 15:03:03 EDT
Which events were you able to test?

Comment 10 Dave Johnson 2017-07-26 13:46:04 EDT
In terms of this one, I believe we can move to verified per the overall summary that ebs events are now trigger refreshes.  With that said though, it sounds like we need to write an new BZ for the slowness of these events, is it completely on the AWS side and nothing we can do about it?  Is it all AWS events or only specific ones like EBS (that I believe CloudWatch sends)?
Comment 11 Matouš Mojžíš 2017-07-27 10:38:27 EDT
only CloudWatch EBS Storage/Volume configuration is not working because of bug on the Amazon side.
I was able to configure CloudTrail + CloudWatch with Ladas and it works now very well(Events are coming in < 5 minutes).

Docs will be needed for this configuration.

Verified in Autorefresh worked with CreateVolume/AttachVolume/DeleteVolume and CreateSnapshot/CopySnapshot/DeleteSnapshot.
Comment 12 Bronagh Sorota 2017-07-27 10:46:23 EDT
That great Matous. What is the bug on the AWS side? Can you review the doc text box in this BZ, is anything else needed?
Comment 15 errata-xmlrpc 2017-08-02 13:33:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.